IntelliJ IDEA 13.0.1: Lucky Charm

Eugene Toporov

If for some reason you haven’t yet downloaded the newest release of your favorite IDE, then today may be the lucky day.
Lucky amulet!
We’ve just rolled out a slightly better, updated version 13.0.1 that delivers a number of fixes and improvements. No need to cross your fingers anymore, better use them for typing code: this fresh update takes all worries away.

You can either download an all-in-one installer from our website, or, if you already have IntelliJ IDEA 13, simply patch it via the built-in updater.

Lucky 13? You bet it is!

Comments below can no longer be edited.

31 Responses to IntelliJ IDEA 13.0.1: Lucky Charm

  1. Lukasz says:

    December 17, 2013

    Idea 13Ultimate offers only option to Download new version

    • Terence says:

      December 17, 2013

      I got the same thing, and when I downloaded the latest 13.0.1 from the web site and ran it, it wanted to update itself to 13.0.1 with a slightly higher build number, which it did via a patch. That might be why it doesn’t want to patch properly.

  2. Terence says:

    December 17, 2013

    Is there a trick to reporting a bug and actually getting it fixed?

  3. winspear says:

    December 17, 2013

    ‘Find Usages’ keyboard shortcut doesn’t work in mac for 13.0.1 🙁

    • winspear says:

      December 17, 2013

      scratch that, my ‘Paula’ wasn’t properly configured.

  4. Jason Winnebeck says:

    December 17, 2013

    I concur, patch option is not offered by my IDEA 13.0 ultimate. In my case I installed IDEA as a user (not as admin), not sure if this has an effect, but I do have full write permissions to IDEA install folder as user running IDEA.

  5. Maciej M says:

    December 18, 2013

    Which build number is valid 133.330 or 133.331 ?

  6. Yoav says:

    December 18, 2013

    Community edition 13.0.1 patch file seems corrupted.
    Size should be 4MB according to update info.
    However, jetbrains.patch.jar.idea is only 410KB (680 uncompressed)

    After installation, and restart, version stays 13.0 and update keeps being available.

  7. jtonic says:

    December 18, 2013

    There is no option to update from 13.0 to 13.0.1

    The update mechanism is so annoying.

    Regards

    • Maxim Mossienko says:

      December 18, 2013

      What is your build number and update channel?

      • Alex says:

        December 18, 2013

        Same issue here. Build number is ‘IU-133.193’, update channel set to ‘Early Access Program’. Update window pops up but only offers regular ‘Download’ button (which takes me to the website), but no “Install Patch” option.

        Regards

  8. Juan Pablo Lozano says:

    December 18, 2013

    Integration in Ubuntu is not good, could make a plugin to integrate the application menu in the panel of Ubuntu (Unity) in the applet appmenu (dbus)? can be guided to the NetBeans plugin. Thank you!

  9. Peter Klyushkin says:

    December 19, 2013

    Be careful with upgrade if you’re using Python plugin in Ultimate version! After restart I could not edit any source files:
    * Enter key doesn’t work at all
    * Undo doesn’t work
    * No code navigation (Ctrl+B, Ctrl+Alt+B, Ctrl+mouse click)

    SOLUTION: Disabling Python plugin and restarting the IDE brings it back into usable state.

    • yseasony says:

      January 6, 2014

      update Python plugin
      work now

  10. jamesp says:

    December 19, 2013

    Updated to 13.0.1 and now the IDE doesn’t see some of my gradle dependencies… very annoying as I’m on a tight deadline

  11. t says:

    December 19, 2013

    Introduced new bug , on Linux Debian 7 , after updating from version 13.0 -> 13.01 ,
    shortcuts like ctrl + w and paranthese highlightion is no longer working . Please fix it guys.

  12. Ihor says:

    December 20, 2013

    Look at the error:
    Gradle ‘Library AppProject’ project refresh failed:
    Cause: java.util.ArrayList cannot be cast to java.util.Map

    I understand IDEA 13 is not compatible with Android Gradle plugin 0.7.1 ?

    • Dia says:

      December 21, 2013

      I’m also getting this error. It would be annoying to have to use another IDE (Android Studio 0.4.0) to use Android Gradle plugin 0.7.1.

      Is this a known issue? Is it expected to be fixed in IntelliJ 13 soon?

    • snowdream says:

      December 21, 2013

      I got the same problem

    • Elnur Abdurrakhimov says:

      December 22, 2013

      I’m having the same error. Have to use Android Studio until this is fixed in IDEA.

    • SowmyaGuru says:

      December 23, 2013

      Re-installed Java and updated Gradle to 1.9. Still get the same error.

    • Vladislav Soroka says:

      December 23, 2013

      yep, there is no support for ‘com.android.tools.build:gradle:0.7.+’ Android Gradle plugin in IDEA 13.0.1.

    • Jon Reeve says:

      December 31, 2013

      For the benefit of anyone finding this while looking for this issue, please go here and vote for it (log in and hit the “thumbs up” button).

    • Thomas Binu says:

      January 3, 2014

      Same error!! Has anyone found a solution?

    • Thomas Binu says:

      January 3, 2014

      Same error!! Has anyone found a solution yet?

      • Roman says:

        January 14, 2014

        Same here!

    • Zainoz.Zaini says:

      February 4, 2014

      Hi guys,
      I just back to IntelliJ for my new Android Project. Stuck at the same error but this solution fixed that:

      build.gradle – Line: classpath ‘com.android.tools.build:gradle:0.6.+’
      gradle-wrapper.properties – Line: distributionUrl=http\://services.gradle.org/distributions/gradle-1.8-all.zip

  13. Stefan Reich says:

    December 22, 2013

    IDEA has suddenly gotten a LOT slower today, especially during startup. Start-up seems to take around a minute now which is really slow.

    Today I also upgraded to IDEA 13.0.1. Coincidence? You tell me. I want it to start fast again!

    • Michael Ostrovsky says:

      January 2, 2014

      Agree. I’ve noticed considerable slow-down on startup , and lags in general responsiveness.
      Upgraded from some Idea 13 EAP

  14. Dmitry says:

    December 23, 2013

    What about “java.util.ArrayList cannot be cast to java.util.Map” error when importing gradle project?

  15. Jon says:

    January 13, 2014

    I downloaded 133.331 and ran ok in ubuntu, but then it wanted to upgrade the scala plugin. Won’t even start after that. I have not had time to play with much, but still disapointing update.

Subscribe

Subscribe for updates